USB_HCD_RESUME_ROOT_(9)

NAME
usb_hcd_resume_root_hub - called by HCD to resume its root hub

SYNOPSIS

void usb_hcd_resume_root_hub(struct usb_hcd * hcd);

ARGUMENTS

hcd
    host controller for this root hub

DESCRIPTION

The USB host controller calls this function when its root hub is suspended (with the remote wakeup feature enabled) and a remote wakeup request is received. The routine submits a workqueue request to resume the root hub (that is, manage its downstream ports again).

COPYRIGHT